<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>oska: Operating System Kernel Abstraction</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindexHL" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="files.html">File&nbsp;List</a></div>
<h1>Operating System Kernel Abstraction </h1>
<p>
<h2><a class="anchor" name="intro">
Introduction</a></h2>
The Operating System Kernel Abstraction (oska) is a software package providing an abstraction for various operating system kernel facilities for use by device drivers and other OS kernel software (e.g., SDIO stacks). Oska is modularized and intended to be a lightweight wrapper around an OSes interfaces.<h2><a class="anchor" name="modules">
Modules</a></h2>
Oska is organized into the modules, each of which has it's own header file providing the interface.<p>
<ul>
<li><a class="el" href="group__alloc.html">Memory allocation</a> &lt;oska/alloc.h&gt;</li><li><a class="el" href="group__mutex.html">Mutexes</a> &lt;oska/mutex.h&gt;</li><li><a class="el" href="group__print.html">Console output</a> &lt;oska/print.h&gt;</li><li><a class="el" href="group__semaphore.html">Semaphores</a> &lt;oska/semaphore.h&gt;</li><li><a class="el" href="group__spinlock.html">Spinlocks</a> &lt;oska/spinlock.h&gt;</li><li><a class="el" href="group__thread.html">Threading</a> &lt;oska/thread.h&gt;</li><li><a class="el" href="group__time.html">Timing and delays</a> &lt;oska/time.h&gt;</li><li><a class="el" href="group__util.html">Miscellaneous utilities</a> &lt;oska/util.h&gt;</li></ul>
<p>
An &lt;oska/all.h&gt; header is provided which includes all the above modules. <hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:35 2008 for oska by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
